*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:system-ui;
}

body{
    background:linear-gradient(135deg,#020617,#0f172a);
    min-height:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
}

.container{
    background:#0b1120;
    width:600px;
    padding:50px;
    border-radius:25px;
    text-align:center;
    box-shadow:0 0 60px rgba(0,0,0,0.7);
}

h1{
    color:white;
    margin-bottom:30px;
    font-size:36px;
    font-weight:700;
}

.upload-btn{
    display:block;
    padding:20px;
    border-radius:15px;
    background:linear-gradient(90deg,#8b5cf6,#6366f1);
    color:white;
    cursor:pointer;
    font-size:20px;
    font-weight:600;
}

.file-selected{
    margin-top:20px;
    color:#22c55e;
    font-size:18px;
    display:none;
}

.preview-container{
    margin-top:30px;
    height:500px;
    overflow-y:auto;
    display:none;
    flex-direction:column;
    align-items:center;
    gap:40px;
}

.preview-page{
    width:95%;
    max-width:500px;
    background:white;
    border-radius:8px;
    box-shadow:0 30px 80px rgba(0,0,0,0.6);
    display:flex;
    align-items:center;
    justify-content:center;
    padding:20px;
}

.preview-page img{
    max-width:100%;
    max-height:400px;
    object-fit:contain;
}

.convert-btn{
    margin-top:30px;
    width:100%;
    padding:18px;
    border:none;
    border-radius:15px;
    background:linear-gradient(90deg,#22c55e,#16a34a);
    color:white;
    font-size:20px;
    font-weight:600;
    cursor:pointer;
    display:none;
}

.download-btn{
    display:none;
    margin-top:30px;
    padding:18px;
    background:#3b82f6;
    border-radius:15px;
    color:white;
    font-size:18px;
    text-decoration:none;
}

.download-status{
    margin-top:20px;
    color:#22c55e;
    font-size:18px;
    display:none;
}

/* LOADER */

.full-loader{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:#020617;
    display:flex;
    justify-content:center;
    align-items:center;
    z-index:9999;
    display:none;
}

.loader-box{
    width:450px;
    text-align:center;
}

.loader-box h2{
    color:white;
    margin-bottom:30px;
    font-size:28px;
}

.progress-bar{
    width:100%;
    height:15px;
    background:#1e293b;
    border-radius:20px;
}

.progress{
    height:100%;
    width:0%;
    background:#22c55e;
    border-radius:20px;
}

#progressText{
    color:white;
    font-size:20px;
    margin-bottom:15px;
}
